org.springframework.expression.spel.support

## Class ReflectiveConstructorExecutor

- java.lang.Object
- - org.springframework.expression.spel.support.ReflectiveConstructorExecutor

- All Implemented Interfaces:
    ConstructorExecutor

      public class ReflectiveConstructorExecutor
      extends Object
      implements ConstructorExecutor

  A simple ConstructorExecutor implementation that runs a constructor using reflective invocation.
  Since:
    3.0
  Author:
    Andy Clement, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectiveConstructorExecutor(Constructor<?> ctor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypedValue` | `execute(EvaluationContext context, Object... arguments)` Execute a constructor in the specified context using the specified arguments.
    `Constructor<?>` | `getConstructor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectiveConstructorExecutor

          public ReflectiveConstructorExecutor(Constructor<?> ctor)

  - ### Method Detail

    - #### execute

          public TypedValue execute(EvaluationContext context,
                                    Object... arguments)
                             throws AccessException

      Description copied from interface: `ConstructorExecutor`
      Execute a constructor in the specified context using the specified arguments.
      Specified by:
        `execute` in interface `ConstructorExecutor`
      Parameters:
        `context` - the evaluation context in which the command is being executed
        `arguments` - the arguments to the constructor call, should match (in terms of number and type) whatever the command will need to run
      Returns:
        the new object
      Throws:
        `AccessException` - if there is a problem executing the command or the CommandExecutor is no longer valid

    - #### getConstructor

          public Constructor<?> getConstructor()